Vulnerability CVE-2012-5575


Published: 2013-08-19   Modified: 2013-08-20

Description:
Apache CXF 2.5.x before 2.5.10, 2.6.x before CXF 2.6.7, and 2.7.x before CXF 2.7.4 does not verify that a specified cryptographic algorithm is allowed by the WS-SecurityPolicy AlgorithmSuite definition before decrypting, which allows remote attackers to force CXF to use weaker cryptographic algorithms than intended and makes it easier to decrypt communications, aka "XML Encryption backwards compatibility attack."

Type:

CWE-310

(Cryptographic Issues)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.4/10
4.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
None
Affected software
Redhat -> Jboss enterprise application platform 
Redhat -> Jboss enterprise portal platform 
Redhat -> Jboss enterprise soa platform 
Redhat -> Jboss enterprise web platform 
Redhat -> Jboss fuse esb enterprise 
Apache -> CXF 

 References:
http://cxf.apache.org/cve-2012-5575.html
http://rhn.redhat.com/errata/RHSA-2013-0833.html
http://rhn.redhat.com/errata/RHSA-2013-0834.html
http://rhn.redhat.com/errata/RHSA-2013-0839.html
http://rhn.redhat.com/errata/RHSA-2013-0873.html
http://rhn.redhat.com/errata/RHSA-2013-0874.html
http://rhn.redhat.com/errata/RHSA-2013-0875.html
http://rhn.redhat.com/errata/RHSA-2013-0876.html
http://rhn.redhat.com/errata/RHSA-2013-0943.html
http://rhn.redhat.com/errata/RHSA-2013-1028.html
http://rhn.redhat.com/errata/RHSA-2013-1143.html
http://rhn.redhat.com/errata/RHSA-2013-1437.html
http://www.nds.ruhr-uni-bochum.de/research/publications/backwards-compatibility/
http://www.securityfocus.com/bid/60043
https://bugzilla.redhat.com/show_bug.cgi?id=880443

Copyright 2022, cxsecurity.com

 

Back to Top